%define upstream_name    Text-MicroTemplate
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A file-based template manager
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Text::MicroTemplate is a standalone, fast, intelligent, extensible template
engine with following features.

standalone
    Text::MicroTemplate does not rely on other CPAN modules.

fast
    Based on the Mojo::Template manpage, expressions in the template is
    perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 528751
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.200.0-1.mga4
+ Revision: 447142
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 374124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 317762
- update to 0.19

* Mon Oct 08 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 303510
- imported package perl-Text-MicroTemplate


* Mon Oct 08 2012 cpan2dist 0.18-1mga
- initial mageia release, generated with cpan2dist
